uuid: 14e4870c-00ac-4980-b570-49a73f025c41
langcode: en
status: true
dependencies:
  config:
    - site_settings.site_setting_entity_type.newsletter
id: site_setting_entity.newsletter.user_id
field_name: user_id
entity_type: site_setting_entity
bundle: newsletter
label: 'Authored by'
description: 'The user ID of author of the Site Setting entity.'
required: false
translatable: false
default_value: {  }
default_value_callback: 'Drupal\site_settings\Entity\SiteSettingEntity::getDefaultUserId'
settings:
  handler: default
  handler_settings: {  }
field_type: entity_reference
